org.apache.maven.scm.provider.perforce.command.checkin

## Class PerforceCheckInCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkin.AbstractCheckInCommand
    - - org.apache.maven.scm.provider.perforce.command.checkin.PerforceCheckInCommand

All Implemented Interfaces:
  Command, PerforceCommand

    public class PerforceCheckInCommand
    extends AbstractCheckInCommand
    implements PerforceCommand

Version:
  $Id: PerforceCheckInCommand.java 757024 2009-03-21 21:19:57Z olamy $
Author:
  Mike Perham

### Field Summary

### Fields inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`NAME`

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`PerforceCheckInCommand()`

### Method Summary

Methods
`static String` `createChangeListSpecification(PerforceScmProviderRepository repo, ScmFileSet files, String msg, String canonicalPath, String jobs)`
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(PerforceScmProviderRepository repo, File workingDirectory)`
`protected CheckInScmResult` `executeCheckInCommand(ScmProviderRepository repo, ScmFileSet files, String message, ScmVersion version)`

### Methods inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceCheckInCommand

    public PerforceCheckInCommand()

### Method Detail

#### executeCheckInCommand

    protected CheckInScmResult executeCheckInCommand(ScmProviderRepository repo,
                                         ScmFileSet files,
                                         String message,
                                         ScmVersion version)
                                              throws ScmException

Specified by:
  `executeCheckInCommand` in class `AbstractCheckInCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(PerforceScmProviderRepository repo,
                                                             File workingDirectory)

#### createChangeListSpecification

    public static String createChangeListSpecification(PerforceScmProviderRepository repo,
                                       ScmFileSet files,
                                       String msg,
                                       String canonicalPath,
                                       String jobs)